#pragma once

#define ADDR_ROM 0x200
#define ADDR_FONT 0x50

void MemInit();
void MemSet(int addr, unsigned char value, int size);
void MemStore(unsigned char *data, int size, int addr);
void MemLoad(unsigned char *data, int size, int addr);
void MemLoadROM(char *path);
void MemDump();
void MemDumpRange(int addr, int size);
