#pragma once

#include "raylib.h"

#define MODE_CHIP8 0 // Chip-8 64x32
#define MODE_SCHIP 1 // Super-Chip 128x64

typedef struct SCREEN_DATA {
  int width, height;
  int originX;
  int originY;
  int pixel;
  char pixels[64*32];
} SCREEN_DATA;

void ScreenInit(int width, int height);
void ScreenClear();
char ScreenPixelApply(int x, int y, unsigned char state);
void ScreenPixelFlip(int x, int y);
void ScreenWH(int *width, int *height);
void ScreenUpdate();
void ScreenClose();
